import type { FlattenedTreeItem } from "./types.js";
export interface TreeItemProps {
    item: FlattenedTreeItem;
    sortableIndex: number;
    indentLeft: number;
    selected: boolean;
    type: string;
    treeTitle?: string;
    path: number[];
    onCopy(path: number[]): void;
    onDelete(path: number[]): void;
    onSelect(path: number[]): void;
}
export declare function TreeItem({ item, sortableIndex, indentLeft, selected, type, treeTitle, path, onCopy, onDelete, onSelect, }: TreeItemProps): import("react/jsx-runtime").JSX.Element;
